mac中使用brew-php-switcher来切换valet版本

原创
2020/07/12 10:31
阅读数 579

安装brew-php-switcher

brew install brew-php-switcher

安装不同版本的icu4c

icu4c是c++版本的国际化unicode组件库,因为php7.1默认使用的版本为63.x版本,php7.3使用的版本>66,故要安装多个版本的icu4c库。 可以从github上下载对应版本的源码在本地编译,下载地址:https://github.com/unicode-org/icu ,安装步骤类似如下:

wget https://github.com/unicode-org/icu/releases/download/release-63-1/icu4c-63_1-src.tgz
tar xvf icu4c-63_1-src.tgz
cd icu/source/
./configure --prefix=/usr/local/Cellar/icu4c/63.1
make && make install

切换步骤

brew switch icu4c 63.1
brew-php-switcher 7.1 -c=valet

注:如果出现类似Error: Could not symlink share/pear/*,直接删除目录/usr/local/share/pear即可。

展开阅读全文
打赏
0
0 收藏
分享
加载中
更多评论
打赏
0 评论
0 收藏
0
分享
返回顶部
顶部